## libchamplain 0.12.1

=== debian/changelog ===
libchamplain (0.12.1-1) unstable; urgency=low

  * New upstream release
    - Adjust .symbols files
  * Drop debian/source/options: Use default compression for debian tarball

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Dec 2011 16:31:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --enable-gtk-doc \
                             --enable-vala \
                             --enable-introspection

common-binary-predeb-arch:: list-missing

DEB_DH_MAKESHLIBS_ARGS_libchamplain-0.12-0 += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_libchamplain-gtk-0.12-0 += -V -- -c4

DEB_DBG_PACKAGE_libchamplain-0.12-0 = libchamplain-0.12-dbg
DEB_DBG_PACKAGE_libchamplain-gtk-0.12-0 = libchamplain-gtk-0.12-dbg

## libchamplain 0.12.2

=== debian/changelog ===
libchamplain (0.12.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Bump valac build-dependency to 0.16 (Closes: #664996)
  * debian/patches/99_ltmain_as-needed.patch: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 29 Mar 2012 20:25:19 +0200

## libchamplain 0.12.3

=== debian/changelog ===
libchamplain (0.12.3-2) unstable; urgency=low

  * debian/control.in:
    + Build against valac-0.20. Fixes FTBFS. Closes: #707378.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 May 2013 23:37:32 +0200

libchamplain (0.12.3-1) unstable; urgency=low

  * New upstream release (Closes: #681650)
    - fix OSM cycle map source URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Aug 2012 17:37:41 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libchamplain
Section: libs
Priority: optional
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               cdbs (>= 0.4.93~),
               gnome-pkg-tools,
               gtk-doc-tools,
               libgtk-3-dev (>= 2.90),
               libglib2.0-dev (>= 2.16),
               libsoup-gnome2.4-dev,
               libclutter-1.0-dev (>= 1.2),
               libclutter-gtk-1.0-dev (>= 0.90),
               libcairo2-dev (>= 1.4),
               libgconf2-dev,
               libsqlite3-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-gtk-3.0,
               gir1.2-clutter-1.0,
               valac-0.20,
Standards-Version: 3.9.3
Homepage: http://projects.gnome.org/libchamplain/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libchamplain
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/

Package: libchamplain-0.12-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: C library providing ClutterActor to display maps
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libclutter-1.0-doc
Description: C library providing ClutterActor to display maps (documentation)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the documentary for this package.

Package: libchamplain-0.12-dev
Section: libdevel
Architecture: any
Depends: libchamplain-0.12-0 (= ${binary:Version}),
         gir1.2-champlain-0.12 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libclutter-1.0-dev,
         libsqlite3-dev,
         libcairo2-dev (>= 1.4),
         libsoup-gnome2.4-dev
Suggests: libchamplain-doc
Description: C library providing ClutterActor to display maps (development files)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the header files required if you wish
 to develop software that uses libchamplain.

Package: libchamplain-0.12-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends: libchamplain-0.12-0 (= ${binary:Version}),
         ${misc:Depends}
Description: C library providing ClutterActor to display maps (debug symbols)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain

Package: gir1.2-champlain-0.12
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Section: introspection
Description: C library providing ClutterActor to display maps (GObject introspection)
 Libchamplain is a C library providing a ClutterActor to
 display maps.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the GObject introspection file for libchamplain.

Package: libchamplain-gtk-0.12-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Gtk+ widget to display maps
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.

Package: libchamplain-gtk-0.12-dev
Architecture: any
Section: libdevel
Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
         gir1.2-gtkchamplain-0.12 (= ${binary:Version}),
         ${misc:Depends},
         libgtk-3-dev,
         libglib2.0-dev,
         libclutter-1.0-dev,
         libchamplain-0.12-dev (= ${binary:Version}),
         libclutter-gtk-1.0-dev
Description: Gtk+ widget to display maps (development files)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains development files for libchamplain-gtk.

Package: libchamplain-gtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libclutter-gtk-1.0-doc, libchamplain-doc (= ${source:Version})
Description: Gtk+ widget to display maps (documentation)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains documentation for libchamplain-gtk.

Package: libchamplain-gtk-0.12-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libchamplain-0.12-dbg
Multi-Arch: same
Description: Gtk+ widget to display maps (debug symbols)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains debugging symbols for libchamplain-gtk.

Package: gir1.2-gtkchamplain-0.12
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Section: introspection
Description: Gtk+ widget to display maps (GObject introspection)
 Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
 to display rasterized maps and markers.
 .
 It supports numerous free map sources such as
 OpenStreetMap (default), OpenArialMap and Maps for free.
 .
 This package contains the GObject introspection file for libchamplain-gtk.

## libchamplain 0.12.5

=== debian/changelog ===
libchamplain (0.12.5-1b1) staging; urgency=low

  * No-change rebuild against libcogl15

 -- Tanglu AutoRebuilder <dak-rebuild@tanglu.org>  Fri, 10 Jan 2014 02:41:04 +0100

libchamplain (0.12.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file for libchamplain-0.12-0.
  * The gtk-doc documentation now uses an API-versioned directory. Update the
    .doc-base and .install files for libchamplain-doc and libchamplain-gtk
    accordingly.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Sep 2013 15:31:58 +0200

libchamplain (0.12.4-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libclutter-1.0-dev build-dependency to >= 1.12
    - Adjust debian/libchamplain-0.12-0.symbols: The removed symbols were
      either not part of the public API or not used
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for Vcs-Svn
    - Fix typo in long description (Closes: #700454)
    - Add build-dependency so config.{guess,sub} are getting updated during
      the build
  * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS to not
    override hardening flags

  [ Michael Biebl ]
  * Drop explicit Build-Depends on gir1.2-gtk-3.0 and gir1.2-clutter-1.0. They
    are pulled in automatically by their corresponding -dev package.
  * Change Build-Depends on valac-0.20 to valac (>= 0.20).

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Sep 2013 17:18:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,27 @@
 Section: libs
 Priority: optional
 Maintainer: Sjoerd Simons <sjoerd@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
+               autotools-dev,
                gnome-pkg-tools,
                gtk-doc-tools,
                libgtk-3-dev (>= 2.90),
                libglib2.0-dev (>= 2.16),
                libsoup-gnome2.4-dev,
-               libclutter-1.0-dev (>= 1.2),
+               libclutter-1.0-dev (>= 1.12),
                libclutter-gtk-1.0-dev (>= 0.90),
                libcairo2-dev (>= 1.4),
                libgconf2-dev,
                libsqlite3-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-gtk-3.0,
-               gir1.2-clutter-1.0,
-               valac-0.20,
-Standards-Version: 3.9.3
+               valac (>= 0.20)
+Standards-Version: 3.9.4
 Homepage: http://projects.gnome.org/libchamplain/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libchamplain
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libchamplain/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libchamplain
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
 
 Package: libchamplain-0.12-0
 Architecture: any
@@ -55,7 +54,7 @@
  It supports numerous free map sources such as
  OpenStreetMap (default), OpenArialMap and Maps for free.
  .
- This package contains the documentary for this package.
+ This package contains the documentation for this package.
 
 Package: libchamplain-0.12-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 # Ensure at build time that the library has no dependencies on undefined
 # symbols, and speed up loading.
-LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+include /usr/share/dpkg/buildflags.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                              --enable-gtk-doc \

## libchamplain 0.12.7

=== debian/changelog ===
libchamplain (0.12.7-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * Update symbols

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 17 Feb 2014 07:45:36 +1100

libchamplain (0.12.5-1ubuntu2) trusty; urgency=medium

  * No-change rebuild for new cogl

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 14 Jan 2014 21:58:12 +0000

libchamplain (0.12.5-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to update libtool.m4 for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Dec 2013 23:59:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libchamplain
 Section: libs
 Priority: optional
-Maintainer: Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
-               autotools-dev,
+               dh-autoreconf,
                gnome-pkg-tools,
                gtk-doc-tools,
                libgtk-3-dev (>= 2.90),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libchamplain/([\d\.]+)/libchamplain-([\d\.]+)\.tar\.xz

## libchamplain 0.12.9

=== debian/changelog ===
libchamplain (0.12.9-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 23:16:09 +0200

libchamplain (0.12.8-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Update Homepage URL
  * Drop debian/patches/99_ltmain_as-needed.patch and use dh_autoreconf
    --as-needed instead

  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Replace libsoup-gnome2.4-dev with libsoup2.4-dev
    - Replace autotools-dev with dh-autoreconf
  * debian/rules: Use autoreconf. Closes: #733200

 -- Laurent Bigonville <bigon@debian.org>  Thu, 03 Jul 2014 20:55:13 +0200

libchamplain (0.12.7-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Add one new symbol to debian/libchamplain-0.12-0.symbols

  [ Emilio Pozuelo Monfort ]
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Mar 2014 14:30:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: libchamplain
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                dh-autoreconf,
@@ -15,17 +14,17 @@
                gtk-doc-tools,
                libgtk-3-dev (>= 2.90),
                libglib2.0-dev (>= 2.16),
-               libsoup-gnome2.4-dev,
                libclutter-1.0-dev (>= 1.12),
                libclutter-gtk-1.0-dev (>= 0.90),
                libcairo2-dev (>= 1.4),
                libgconf2-dev,
+               libsoup2.4-dev (>= 2.34),
                libsqlite3-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                valac (>= 0.20)
-Standards-Version: 3.9.4
-Homepage: http://projects.gnome.org/libchamplain/
+Standards-Version: 3.9.5
+Homepage: https://wiki.gnome.org/Projects/libchamplain
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libchamplain
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
 
@@ -66,7 +65,7 @@
          libclutter-1.0-dev,
          libsqlite3-dev,
          libcairo2-dev (>= 1.4),
-         libsoup-gnome2.4-dev
+         libsoup2.4-dev (>= 2.34)
 Suggests: libchamplain-doc
 Description: C library providing ClutterActor to display maps (development files)
  Libchamplain is a C library providing a ClutterActor to

## libchamplain 0.12.11

=== debian/changelog ===
libchamplain (0.12.11-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Sep 2015 13:40:08 +0200

libchamplain (0.12.10-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 May 2015 00:40:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Sjoerd Simons <sjoerd@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
                dh-autoreconf,
                gnome-pkg-tools,
@@ -23,17 +23,17 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                valac (>= 0.20)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/libchamplain
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libchamplain
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
 
 Package: libchamplain-0.12-0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: C library providing ClutterActor to display maps
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -58,6 +58,7 @@
 Package: libchamplain-0.12-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libchamplain-0.12-0 (= ${binary:Version}),
          gir1.2-champlain-0.12 (= ${binary:Version}),
          ${misc:Depends},
@@ -79,9 +80,9 @@
 
 Package: libchamplain-0.12-dbg
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Section: debug
-Multi-Arch: same
 Depends: libchamplain-0.12-0 (= ${binary:Version}),
          ${misc:Depends}
 Description: C library providing ClutterActor to display maps (debug symbols)
@@ -95,6 +96,7 @@
 
 Package: gir1.2-champlain-0.12
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
 Section: introspection
@@ -109,10 +111,10 @@
 
 Package: libchamplain-gtk-0.12-0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: Gtk+ widget to display maps
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -122,6 +124,7 @@
 
 Package: libchamplain-gtk-0.12-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
          gir1.2-gtkchamplain-0.12 (= ${binary:Version}),
@@ -156,12 +159,12 @@
 
 Package: libchamplain-gtk-0.12-dbg
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Section: debug
 Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libchamplain-0.12-dbg
-Multi-Arch: same
 Description: Gtk+ widget to display maps (debug symbols)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -173,6 +176,7 @@
 
 Package: gir1.2-gtkchamplain-0.12
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## libchamplain 0.12.13

=== debian/changelog ===
libchamplain (0.12.13-1) unstable; urgency=medium

  * New upstream release.
  * Drop -dbg packages now that we have automatic dbsym packages.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2016 23:02:21 +0100

libchamplain (0.12.12-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Dec 2015 23:32:38 +0100

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,10 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                valac (>= 0.20)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Projects/libchamplain
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libchamplain
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
 
 Package: libchamplain-0.12-0
 Architecture: any
@@ -77,22 +77,6 @@
  .
  This package contains the header files required if you wish
  to develop software that uses libchamplain.
-
-Package: libchamplain-0.12-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends: libchamplain-0.12-0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: C library providing ClutterActor to display maps (debug symbols)
- Libchamplain is a C library providing a ClutterActor to
- display maps.
- .
- It supports numerous free map sources such as
- OpenStreetMap (default), OpenArialMap and Maps for free.
- .
- This package contains debugging symbols for libchamplain
 
 Package: gir1.2-champlain-0.12
 Architecture: any
@@ -157,23 +141,6 @@
  .
  This package contains documentation for libchamplain-gtk.
 
-Package: libchamplain-gtk-0.12-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: libchamplain-0.12-dbg
-Description: Gtk+ widget to display maps (debug symbols)
- Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
- to display rasterized maps and markers.
- .
- It supports numerous free map sources such as
- OpenStreetMap (default), OpenArialMap and Maps for free.
- .
- This package contains debugging symbols for libchamplain-gtk.
-
 Package: gir1.2-gtkchamplain-0.12
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+
+DEB_DH_AUTORECONF_ARGS := --as-needed
 
 # Ensure at build time that the library has no dependencies on undefined
 # symbols, and speed up loading.

## libchamplain 0.12.14

=== debian/changelog ===
libchamplain (0.12.14-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Convert from cdbs to dh.
  * Fix dbgsym migration.
  * Update Build-Depends as per configure.ac:
    - Drop libgconf2-dev.
    - Bump libsoup2.4-dev to (>= 2.42).
  * Bump Standards-Version to 3.9.8.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 21:43:21 +0200

## libchamplain 0.12.15

=== debian/changelog ===
libchamplain (0.12.15-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2017 06:57:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Source: libchamplain
 Section: libs
 Priority: optional
-Maintainer: Sjoerd Simons <sjoerd@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.93~),
                dh-autoreconf,
                gnome-pkg-tools,
                gtk-doc-tools,
@@ -17,13 +16,12 @@
                libclutter-1.0-dev (>= 1.12),
                libclutter-gtk-1.0-dev (>= 0.90),
                libcairo2-dev (>= 1.4),
-               libgconf2-dev,
-               libsoup2.4-dev (>= 2.34),
+               libsoup2.4-dev (>= 2.42),
                libsqlite3-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                valac (>= 0.20)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/libchamplain
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libchamplain
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
@@ -66,7 +64,7 @@
          libclutter-1.0-dev,
          libsqlite3-dev,
          libcairo2-dev (>= 1.4),
-         libsoup2.4-dev (>= 2.34)
+         libsoup2.4-dev (>= 2.42)
 Suggests: libchamplain-doc
 Description: C library providing ClutterActor to display maps (development files)
  Libchamplain is a C library providing a ClutterActor to

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf,gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-vala \
		--enable-introspection

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_strip:
	dh_strip -plibchamplain-0.12-0 --dbgsym-migration='libchamplain-0.12-dbg (<< 0.12.13-1~)'
	dh_strip -plibchamplain-gtk-0.12-0 --dbgsym-migration='libchamplain-gtk-0.12-dbg (<< 0.12.13-1~)'
	dh_strip --remaining-packages

## libchamplain 0.12.16

=== debian/changelog ===
libchamplain (0.12.16-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:34:47 -0500

libchamplain (0.12.16-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Update Multi-Arch metadata

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 18:01:15 -0500

libchamplain (0.12.16-1) unstable; urgency=medium

  * New upstream release
  * debian/libchamplain-0.12-0.symbols: Add new symbols
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 18:14:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libchamplain
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gtk-doc-tools,
                libgtk-3-dev (>= 2.90),
@@ -21,17 +20,16 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                valac (>= 0.20)
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/libchamplain
+Vcs-Git: https://salsa.debian.org/gnome-team/libchamplain.git
 Homepage: https://wiki.gnome.org/Projects/libchamplain
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libchamplain
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libchamplain/
 
 Package: libchamplain-0.12-0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: C library providing ClutterActor to display maps
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -42,6 +40,7 @@
 Package: libchamplain-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libclutter-1.0-doc
 Description: C library providing ClutterActor to display maps (documentation)
@@ -77,11 +76,11 @@
  to develop software that uses libchamplain.
 
 Package: gir1.2-champlain-0.12
+Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
-Section: introspection
 Description: C library providing ClutterActor to display maps (GObject introspection)
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -96,7 +95,6 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Gtk+ widget to display maps
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -126,8 +124,9 @@
  This package contains development files for libchamplain-gtk.
 
 Package: libchamplain-gtk-doc
+Section: doc
 Architecture: all
-Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libclutter-gtk-1.0-doc, libchamplain-doc (= ${source:Version})
 Description: Gtk+ widget to display maps (documentation)
@@ -140,12 +139,12 @@
  This package contains documentation for libchamplain-gtk.
 
 Package: gir1.2-gtkchamplain-0.12
+Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Section: introspection
 Description: Gtk+ widget to display maps (GObject introspection)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-vala \
		--enable-introspection

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_strip:
	dh_strip -plibchamplain-0.12-0 --dbgsym-migration='libchamplain-0.12-dbg (<< 0.12.13-1~)'
	dh_strip -plibchamplain-gtk-0.12-0 --dbgsym-migration='libchamplain-gtk-0.12-dbg (<< 0.12.13-1~)'
	dh_strip --remaining-packages

## libchamplain 0.12.19

=== debian/changelog ===
libchamplain (0.12.19-1) experimental; urgency=medium

  * New upstream release
  * Drop Update-docs-ignored-headers.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Mar 2019 11:52:11 -0500

libchamplain (0.12.18-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Bump minimum libclutter-1.0-dev to 1.24 and libglib2.0-dev to 2.38
  * Build-Depend on libclutter-1.0-doc, libglib2.0-doc & libgtk-3-doc
  * Drop libchamplain-gtk-doc: its docs are included in libchamplain-doc now
  * debian/libchamplain-0.12-0.docs: README → README.md
  * Cherry-pick Update-docs-ignored-headers.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 07:20:07 -0500

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,23 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gtk-doc-tools,
+               libcairo2-dev (>= 1.4),
+               libclutter-1.0-doc,
+               libclutter-1.0-dev (>= 1.24),
+               libclutter-gtk-1.0-dev (>= 0.90),
+               libgirepository1.0-dev (>= 0.9.12),
+               libglib2.0-doc,
+               libglib2.0-dev (>= 2.38),
+               libgtk-3-doc,
                libgtk-3-dev (>= 2.90),
-               libglib2.0-dev (>= 2.16),
-               libclutter-1.0-dev (>= 1.12),
-               libclutter-gtk-1.0-dev (>= 0.90),
-               libcairo2-dev (>= 1.4),
                libsoup2.4-dev (>= 2.42),
                libsqlite3-dev,
+               meson (>= 0.49.0),
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
                valac (>= 0.20)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libchamplain
@@ -123,21 +127,6 @@
  .
  This package contains development files for libchamplain-gtk.
 
-Package: libchamplain-gtk-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: libclutter-gtk-1.0-doc, libchamplain-doc (= ${source:Version})
-Description: Gtk+ widget to display maps (documentation)
- Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
- to display rasterized maps and markers.
- .
- It supports numerous free map sources such as
- OpenStreetMap (default), OpenArialMap and Maps for free.
- .
- This package contains documentation for libchamplain-gtk.
-
 Package: gir1.2-gtkchamplain-0.12
 Section: introspection
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,20 +4,11 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --with gnome,gir --buildsystem=meson --without autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-gtk-doc \
-		--enable-vala \
-		--enable-introspection
-
-override_dh_install:
-	find debian/tmp -name '*.la' -print -delete
-	dh_install
+		-Dgtk_doc=true
 
 override_dh_missing:
 	dh_missing --fail-missing

## libchamplain 0.12.20

=== meson_options.txt ===
option('memphis',
       type: 'boolean', value: false,
       description: 'Enable Memphis support (requires libmemphis)')

option('introspection',
       type: 'boolean', value: true,
       description: 'Generate introspection data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')

option('widgetry',
       type: 'boolean', value: true,
       description: 'Build GTK+ widgetry')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gtk-doc)')

option('demos',
       type: 'boolean', value: false,
       description: 'Build demonstration programs')

=== debian/changelog ===
libchamplain (0.12.20-1) unstable; urgency=medium

  * New upstream release
    - d/p/01-fix_gtk-doc_module_name.patch,
      d/p/Make-the-build-reproducible.patch: Dropped, applied upstream
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Jan 2020 01:08:20 +0100

libchamplain (0.12.19-3) unstable; urgency=medium

  * Team upload
  * d/tests: Add superficial build-tests, loosely based on those in
    GTK and Clutter
  * Set Rules-Requires-Root to no
  * d/p/Make-the-build-reproducible.patch:
    Make a generated header reproducible. Thanks to Chris Lamb for the patch.
    (Closes: #934698)
  * Remove migration path from -dbg packages older than oldstable
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Sep 2019 16:03:19 +0100

libchamplain (0.12.19-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/*.symbols: Add Build-Depends-Package field
  * libchamplain-doc: Add a symlink in /usr/share/doc and update the doc-base
    file to point to that symlink, this is to please new lintian check
  * debian/control.in: Add the needed -doc packages so gtk-doc can resolve the
    links in libchamplain documentation
  * debian/patches/01-fix_gtk-doc_module_name.patch: Fix the name of the
    .devhelp2 file so it also includes the version, like its parent directory,
    this is needed so devhelp is displaying the documentation

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Aug 2019 16:15:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
-
-override_dh_strip:
-	dh_strip -plibchamplain-0.12-0 --dbgsym-migration='libchamplain-0.12-dbg (<< 0.12.13-1~)'
-	dh_strip -plibchamplain-gtk-0.12-0 --dbgsym-migration='libchamplain-gtk-0.12-dbg (<< 0.12.13-1~)'
-	dh_strip --remaining-packages

=== debian/tests/control ===
Tests: libchamplain-0.12-dev
Depends: build-essential,
         dbus,
         libchamplain-0.12-dev,
         xauth,
         xvfb,
Restrictions: allow-stderr superficial

Tests: libchamplain-gtk-0.12-dev
Depends: build-essential,
         dbus,
         libchamplain-gtk-0.12-dev,
         xauth,
         xvfb,
Restrictions: allow-stderr superficial

## libchamplain 0.12.21

=== meson_options.txt ===
--- 
+++ 
@@ -20,3 +20,7 @@
 option('demos',
        type: 'boolean', value: false,
        description: 'Build demonstration programs')
+
+option('libsoup3',
+       type: 'boolean', value: true,
+       description: 'Use libsoup 3.0')

=== debian/changelog ===
libchamplain (0.12.21-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Add ${gir:Depends} and ${gir:Provides} to -dev packages
  * Opt into Salsa CI
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 17:54:37 -0500

libchamplain (0.12.21-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump debhelper from old 12 to 13
  * Add debian/upstream/metadata
  * debian/control.in: Bump minimum glib
  * debian/tests/libchamplain-gtk-0.12.-dev: Set NO_AT_BRIDGE=1
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed
  * Simplify debian/rules
  * Add Breaks for (older) gthumb since it's not ready for libsoup3 yet

  [ Corentin Noël ]
  * Update to use libsoup-3.0 (Closes: #1037218)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 14:42:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libchamplain
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                gtk-doc-tools,
                libcairo2-dev (>= 1.4),
-               libclutter-1.0-doc,
                libclutter-1.0-dev (>= 1.24),
                libclutter-gtk-1.0-dev (>= 0.90),
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-doc,
-               libglib2.0-dev (>= 2.38),
-               libgtk-3-doc,
+               libglib2.0-dev (>= 2.68),
                libgtk-3-dev (>= 2.90),
-               libsoup2.4-dev (>= 2.42),
+               libsoup-3.0-dev (>= 3.0),
                libsqlite3-dev,
                meson (>= 0.49.0),
-               gobject-introspection (>= 0.9.12-4~),
                valac (>= 0.20)
-Standards-Version: 4.3.0
+Build-Depends-Indep: libcairo2-doc <!nodoc>,
+                     libclutter-1.0-doc <!nodoc>,
+                     libgdk-pixbuf2.0-doc <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libgtk-3-doc <!nodoc>,
+                     libpango1.0-doc <!nodoc>
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libchamplain
 Vcs-Git: https://salsa.debian.org/gnome-team/libchamplain.git
 Homepage: https://wiki.gnome.org/Projects/libchamplain
@@ -32,8 +32,8 @@
 Package: libchamplain-0.12-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: gthumb (<< 3:3.12.2-5~)
 Description: C library providing ClutterActor to display maps
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -60,14 +60,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libchamplain-0.12-0 (= ${binary:Version}),
-         gir1.2-champlain-0.12 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: gir1.2-champlain-0.12 (= ${binary:Version}),
+         libcairo2-dev (>= 1.4),
+         libchamplain-0.12-0 (= ${binary:Version}),
+         libclutter-1.0-dev,
          libglib2.0-dev,
-         libclutter-1.0-dev,
+         libsoup-3.0-dev (>= 3.0),
          libsqlite3-dev,
-         libcairo2-dev (>= 1.4),
-         libsoup2.4-dev (>= 2.42)
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libchamplain-doc
 Description: C library providing ClutterActor to display maps (development files)
  Libchamplain is a C library providing a ClutterActor to
@@ -83,8 +85,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: C library providing ClutterActor to display maps (GObject introspection)
  Libchamplain is a C library providing a ClutterActor to
  display maps.
@@ -97,8 +98,7 @@
 Package: libchamplain-gtk-0.12-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Gtk+ widget to display maps
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -110,14 +110,16 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libchamplain-gtk-0.12-0 (= ${binary:Version}),
-         gir1.2-gtkchamplain-0.12 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: gir1.2-gtkchamplain-0.12 (= ${binary:Version}),
+         libchamplain-0.12-dev (= ${binary:Version}),
+         libchamplain-gtk-0.12-0 (= ${binary:Version}),
+         libclutter-1.0-dev,
+         libclutter-gtk-1.0-dev,
+         libglib2.0-dev,
          libgtk-3-dev,
-         libglib2.0-dev,
-         libclutter-1.0-dev,
-         libchamplain-0.12-dev (= ${binary:Version}),
-         libclutter-gtk-1.0-dev
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Gtk+ widget to display maps (development files)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.
@@ -131,9 +133,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Gtk+ widget to display maps (GObject introspection)
  Libchamplain-gtk is a C library aimed to provide a Gtk+ widget
  to display rasterized maps and markers.

=== debian/tests/control ===
Tests: libchamplain-0.12-dev
Depends: build-essential, dbus, libchamplain-0.12-dev, xauth, xvfb
Restrictions: allow-stderr superficial

Tests: libchamplain-gtk-0.12-dev
Depends: build-essential, dbus, libchamplain-gtk-0.12-dev, xauth, xvfb
Restrictions: allow-stderr superficial
